<?php

namespace Mediavine\Create;

/**
 * Is theme Genesis or Genesis child?
 *
 * @return bool
 */
function is_genesis() {
	$theme            = wp_get_theme();
	$is_theme_genesis = $theme->get_template() === 'genesis';

	/**
	 * Overrides if theme is Genesis. For PHPUnit tests only
	 *
	 * @param bool $is_theme_genesis
	 */
	return apply_filters( 'mv_create_is_theme_genesis', $is_theme_genesis );
}

/**
 * Is theme Trellis or Trellis child?
 * @return bool
 */
function is_trellis() {
	$theme            = wp_get_theme();
	$is_theme_trellis = $theme->get_template() === 'mediavine-trellis';

	/**
	 * Overrides if theme is Trellis. For PHPUnit tests only
	 *
	 * @param bool $is_theme_trellis
	 */
	return apply_filters( 'mv_create_is_theme_trellis', $is_theme_trellis );
}

/**
 * Checks if filter is currently being processed.
 *
 * Wrapper for core WP function, but this can be filtered for unit testing purposes.
 *
 * @param null|string $filter Filter to check. Defaults to null, which checks if any filter is currently being run.
 * @return bool Whether the filter is currently in the stack.
 */
function doing_filter( $filter = null ) {
	$doing_filter = \doing_filter( $filter );

	/**
	 * Overrides if the filter is currently being processed. For PHPUnit tests only
	 *
	 * @param bool $doing_filter
	 */
	return apply_filters( 'mv_create_doing_filter_' . $filter, $doing_filter );
}

function get_current_post_id() {
	global $id;

	if ( empty( $id ) ) {
		$id = get_the_ID();
	}

	if ( empty( $id ) ) {
		$id = apply_filters( 'mv_create_current_post_id', $id );
	}

	return (int) $id;
}
