<?php

namespace Mediavine\Create\GuzzleHttp\Promise;

final class Is
{
    /**
     * Returns true if a promise is pending.
     *
     * @return bool
     */
    public static function pending(\Mediavine\Create\GuzzleHttp\Promise\PromiseInterface $promise)
    {
        return $promise->getState() === \Mediavine\Create\GuzzleHttp\Promise\PromiseInterface::PENDING;
    }
    /**
     * Returns true if a promise is fulfilled or rejected.
     *
     * @return bool
     */
    public static function settled(\Mediavine\Create\GuzzleHttp\Promise\PromiseInterface $promise)
    {
        return $promise->getState() !== \Mediavine\Create\GuzzleHttp\Promise\PromiseInterface::PENDING;
    }
    /**
     * Returns true if a promise is fulfilled.
     *
     * @return bool
     */
    public static function fulfilled(\Mediavine\Create\GuzzleHttp\Promise\PromiseInterface $promise)
    {
        return $promise->getState() === \Mediavine\Create\GuzzleHttp\Promise\PromiseInterface::FULFILLED;
    }
    /**
     * Returns true if a promise is rejected.
     *
     * @return bool
     */
    public static function rejected(\Mediavine\Create\GuzzleHttp\Promise\PromiseInterface $promise)
    {
        return $promise->getState() === \Mediavine\Create\GuzzleHttp\Promise\PromiseInterface::REJECTED;
    }
}
